%global __requires_exclude ^perl\\(CPAN::Meta::Converter\\)$
%global __requires_exclude %{__requires_exclude}|^perl\\(CPAN::Meta::Requirements\\)$

Summary:        Distribution metadata for a CPAN dist
Name:           perl-CPAN-Meta
Version:        2.150010
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN-Meta
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/CPAN-Meta-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(Config)
BuildRequires:  perl(Carp) perl(Exporter) perl(strict) perl(warnings) perl(File::Basename)
BuildRequires:  perl(File::Spec) perl(File::Spec::Functions) perl(overload) perl(vars)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(version) >= 0.88
# For test suite
BuildRequires:  perl(Storable) perl(utf8) perl(CPAN::Meta::Requirements) perl(CPAN::Meta::YAML)
BuildRequires:  perl(Scalar::Util) perl(Encode) perl(Data::Dumper) perl(IO::Dir) perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(JSON::PP) >= 2.27300
BuildRequires:  perl(File::Temp) >= 0.20
Requires:       perl(Encode)
Requires:       perl(CPAN::Meta::YAML) >= 0.011
Requires:       perl(JSON::PP) >= 2.27300
Requires:       perl(version) >= 0.88
BuildArch:      noarch

%description
Software distributions released to the CPAN include a META.json or, for
older distributions, META.yml, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the META.json file is
described in CPAN::Meta::Spec.

CPAN::Meta provides a simple class to represent this distribution
metadata (or *distmeta*), along with some helpful methods for
interrogating that data.

%prep
%setup -q -n CPAN-Meta-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn history README Todo t/
%{perl_vendorlib}/CPAN/
%{perl_vendorlib}/Parse/
%{_mandir}/man3/CPAN::Meta.3*
%{_mandir}/man3/CPAN::Meta::Converter.3*
%{_mandir}/man3/CPAN::Meta::Feature.3*
%{_mandir}/man3/CPAN::Meta::History.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_0.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_1.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_2.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_3.3*
%{_mandir}/man3/CPAN::Meta::History::Meta_1_4.3*
%{_mandir}/man3/CPAN::Meta::Merge.3*
%{_mandir}/man3/CPAN::Meta::Prereqs.3*
%{_mandir}/man3/CPAN::Meta::Spec.3*
%{_mandir}/man3/CPAN::Meta::Validator.3*
%{_mandir}/man3/Parse::CPAN::Meta.3*

%changelog
* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.150010-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.150010-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.150010-2
- Rebuilt for OpenCloudOS Stream 23

* Sat May 7 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.150010-1
- Initial build
